Package org.jboss.logging.processor.apt

## Class ReportFileGenerator

- java.lang.Object
- - org.jboss.logging.processor.apt.AbstractGenerator
  - - org.jboss.logging.processor.apt.ReportFileGenerator

    @SupportedOptions({"org.jboss.logging.tools.report.type","org.jboss.logging.tools.report.path","org.jboss.logging.tools.report.title"})
    public class ReportFileGenerator
    extends AbstractGenerator

Generates reports for logging interfaces and message bundles.

Author:
  James R. Perkins

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `processTypeElement​(TypeElement annotation, TypeElement element, MessageInterface messageInterface)` Processes a type element.

### Methods inherited from class org.jboss.logging.processor.apt.AbstractGenerator

`getName, getSupportedOptions`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### processTypeElement

    public void processTypeElement​(TypeElement annotation,
                                   TypeElement element,
                                   MessageInterface messageInterface)

Description copied from class: `AbstractGenerator`
Processes a type element.

Specified by:
  `processTypeElement` in class `AbstractGenerator`
Parameters:
  `annotation` - the annotation who trigger the processing
  `element` - the element that contains the methods.
  `messageInterface` - the message interface to implement.